
# Imaging tools for Julia

Author: Tuomo Valkonen <tuomov@iki.fi>

This repository contains some tools for doing mathematical imaging in Julia:

  * Effective visualisation based directly on `GR` instead of `Plots`. A sample visualisation main loop that calls `AlgTools`-style step routines. 
  * Sub-pixelresolution image translation and sub-image extraction
  * Calculation of discrete image gradients (2D, 3D 3D vector fields)
  * A very simple image filtering code that seems more efficient than the `ImageFiltering`
  package.
  
The code is used, for example, by <http://dx.doi.org/10.5281/zenodo.3659180>.
